﻿using Hotline.Share.Enums.Snapshot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Snapshot;

public class NotifyDto
{
}

public class AddNotifyInDto
{

    /// <summary>
    /// 标题
    /// </summary>
    public string Title { get; set; }

    /// <summary>
    /// 内容
    /// </summary>
    public string Content { get; set; }

    /// <summary>
    /// 类型
    /// </summary>
    public ENotificationType NotifyType { get; set; }

    /// <summary>
    /// 用户
    /// </summary>
    public IList<string> UserIds { get; set; }
}

public class GetNotifyInDto : QueryFixedDto
{
    /// <summary>
    /// 消息类型
    /// </summary>
    public ENotificationType NotifyType { get; set; }
}

public class GetNotifyOutDto
{
    /// <summary>
    /// 通知Id
    /// </summary>
    public string NotificationId { get; set; }

    /// <summary>
    /// 标题
    /// </summary>
    public string Title { get; set; }

    /// <summary>
    /// 创建时间
    /// </summary>
    public DateTime CreationTime { get; set; }
}
