﻿using Hotline.Share.Dtos.File;
namespace Hotline.Share.Dtos.DataSharing.PusherHotlineDto
{
    /// <summary>
    /// 省延期结果通知
    /// </summary>
    public class ProvinceSendDelayResultDto: DsSource
    {
        /// <summary>
        /// 省工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 是否通过审批
        /// </summary>
        public bool IsPass { get; set; }

        /// <summary>
        /// 办理意见
        /// </summary>
        public string Opinion { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string? AuditName { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        public string? AuditOrgName { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? AuditTime { get; set; }

        public List<FileDto> Files { get; set; }
    }
}
